Web前端

提供web前端技术学习,包括html5、css3、javascript、jquery、ajax、bootstrap以及一些流行的vue、angular等技术或框架。

最新文章

JS如何实现剪切板图片粘贴直接上传?

JS如何实现剪切板图片粘贴直接上传?

在H5技术发展如火如荼的今天,前端再也不是页面和切图仔的代名词,而今的前端早已不再是写写页面撸撸简单交互了,而今的前端相比十年前已经发生了翻天覆地的变化,像近几年出现的angularjs,vuejs,react等等前端框架已被广泛应用于各类在线协作平台、webapp中,以node为技术栈的各类平台已经广泛被很多大公司推出,前端已经变天了。 在之前对于图片上传……

潘老师 4天前 26 ℃ (0) (0)

php京东联盟转链API接口提示参数错误解决方案

php京东联盟转链API接口提示参数错误解决方案

最近在开发对接京粉api的插件,方便淘客商品推广,在测试了下京东联盟的API时候,按照官方文档说明导入SDK后,在按照官方文档说明调用jd.union.open.promotion.common.get网站/APP转链接口时,提示错误码400参数错误。原因就在于官方文档有坑,不能按照官方文档案例代码去写! 错误说明 我们先看下官方文档php案例代码说明: $……

潘老师 4周前 (01-07) 48 ℃ (0) (0)

网站变成灰色表示哀悼的效果是怎样实现的?

网站变成灰色表示哀悼的效果是怎样实现的?

在一些需要悼念的日子,以及一些影响力很大的伟人逝世或纪念日的时候,我们需要把网站页面变成黑白色或灰色,以表示我们对逝者或者英雄的缅怀和悼念。 比如江泽民同志逝世,各大平台网站或者app等都进行了置灰操作,比如百度如下效果: 当大家看到全站的内容都变成了灰色,包括按钮、图片等等。这时候我们可能会好奇这是怎么做到的呢? 有人会以为所有的内容都统一换了一个 CSS……

潘老师 2个月前 (12-01) 399 ℃ (0) (0)

vscode git切换分支提示 you need to resolve your current inde first解决办法

vscode git切换分支提示 you need to resolve your current inde first解决办法

在使用vscode切换git当前分支到另一个分支时,出现you need to resolve your current inde first的错误提示,该怎么解决呢? 报错产生原因 该问题产生的主要原因就是存在有冲突的文件没有解决。 解决办法 第1步:储藏本地未提交代码 如果你本地有部分代码修改或新增的但未提交,需要先通过储藏将代码保存,将其保存至暂存区……

潘老师 4个月前 (10-18) 178 ℃ (0) (0)

npm或cnpm install 安装tui-editor报错解决方案,亲测有效

npm或cnpm install 安装tui-editor报错解决方案,亲测有效

有很多同学在使用vue开发项目时,可能会用的到类似vue-element-admin的模板进行开发,老版本的项目在npm install时往往或报错tui-editor安装失败,这是一个编辑器插件,最近潘老师在安装时也遇到了该问题,我们一起来看看是怎么解决的吧! 一、产生原因 其实这个问题产生的原因很简单,就是原先的tui-editor插件(富文本编辑器插件……

潘老师 9个月前 (05-15) 5638 ℃ (0) (31)

如何安装cnpm?快速简单的安装教程!

如何安装cnpm?快速简单的安装教程!

有时候npm不能满足我们的需求,比如速度太慢或者很多依赖在安装时直接报错,往往安装cnpm就能解决该问题。那么如何安装cnpm呢?我们来看下快速简单的安装教程吧! 一般我们默认你是安装好nodejs的,且拥有npm指令执行权限,我们只需要打开cmd命令行,执行如下安装cnpm指令,这里我们指定的是淘宝镜像源,这样速度更快。 npm install -g ……

潘老师 9个月前 (05-15) 1222 ℃ (0) (2)

npm ERR! code 128 解决方案,亲测有效

npm ERR! code 128 解决方案,亲测有效

vue项目在使用npm install安装依赖时,提示如下错误,该如何解决呢?以下方法亲测有效。 npm ERR! code 128 npm ERR! Command failed: git clone –depth=1 -q -b fix/hr_is_inline 其实解决方案非常简单,只要执行如下指令即可解决: npm cache cl……

潘老师 9个月前 (05-15) 2309 ℃ (0) (0)

Vue富文本编辑器插件推荐使用vue-html5-editor

Vue富文本编辑器插件推荐使用vue-html5-editor

我们在使用vue开发项目时,可能会涉及发布文章等功能,那就会用到富文本编辑器,今天潘老师给大家推荐一款曾经过用过的插件vue-html5-editor,整体使用下来还是很不错的,比较简单,功能也非常强大,让我们一起看下该款Vue富文本编辑器插件怎么用。 vue-html5-editor插件的安装与使用 1、安装 首先我们要安装该插件,直接执行如下代码即可 ……

潘老师 12个月前 (02-19) 7496 ℃ (0) (9)